This is an update to the macro originally posted. The following macro was found on Comp.Cad.SolidWorks. I am not sure if I really have the right to post it here but I doubt if Mike Wilson will object. I did modify it so that it creates all 8 Iso Views. It can be ran repeatedly so that each view has the correct Zoom value.
This macro works with SWx2005 - I have not tried it with SWx2006
' ******************************************************
' ISOViews.swp û Recorded on 12/20/01 by Mike J. Wilson
' ISOViews.swp û Updated on 6/7/05 by Heckler
' ******************************************************
Sub main()
Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc
pi = 4 * Atn(1)
Z = Tan(30 * pi / 180)
X = Atn(Z / Sqr(-Z * Z + 1))
Y = -45 * pi / 180